Bug 431884 - lm_sensors init script return values not LSB compliant
lm_sensors init script return values not LSB compliant
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2008-02-07 11:45 EST by Frank Sweetser
Modified: 2015-03-04 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 08:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make error return codes lsb compliant (827 bytes, patch)
2008-02-07 11:45 EST, Frank Sweetser
no flags Details | Diff

  None (edit)
Description Frank Sweetser 2008-02-07 11:45:19 EST
Currently, the lm_sensors rc script returns 0 in several cases where the service
is actually unconfigured, and cannot be started.  This makes it impossible to
reliably manage the service using management tools such as puppet.

http://refspecs.linux-foundation.org/LSB_3.2.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html

The attached trivial patch fixes the glitch for me.
Comment 1 Frank Sweetser 2008-02-07 11:45:19 EST
Created attachment 294228 [details]
Make error return codes lsb compliant
Comment 2 Hans de Goede 2008-02-11 08:51:18 EST
Thanks, a new build of lm_sensors with your patch applied is on its way to
rawhide / development. I don't believe this issue is worth doing an F-8 update
for. Phil do you agree?



Comment 3 Phil Knirsch 2008-02-11 09:19:30 EST
Yea, development should be fine i think.

Thanks Hans,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.